HTTPDIRFS(1)

NAME
HTTPDirFS - "mount HTTP directory as a virtual filesystem"

DESCRIPTION

  general options:

--config
    Specify a configuration file

-o opt,[opt...]
    Mount options

-h  --help
    Print help

-V  --version
    Print version

-f  Foreground operation

-s  Disable multi-threaded operation

-d  --debug
    Enable debug output (implies -f)

  HTTPDirFS options:

-u  --username
    HTTP authentication username

-p  --password
    HTTP authentication password

-P  --proxy
    Proxy for libcurl, for more details refer to https://curl.haxx.se/libcurl/c/CURLOPT_PROXY.html

--proxy-username
    Username for the proxy

--proxy-password
    Password for the proxy

--proxy-cacert
    Certificate authority for the proxy

--proxy-capath
    Certificate authority directory for the proxy

--cache
    Enable cache (default: off)

--cache-location
    Set a custom cache location (default: "${XDG_CACHE_HOME}/httpdirfs")

--cache-clear
    Delete the cache directory or the custom location specified with `--cache-location`, if the option is seen first. Then exit in either case.

--cache-min-size
    Set minimum file size threshold for caching, in bytes (default: none)

--cache-max-size
    Set maximum file size threshold for caching, in bytes (default: none)

--cacert
    Certificate authority for the server

--capath
    Certificate authority directory for the server

--dl-seg-size
    Set cache download segment size, in MB (default: 8) Note: this setting is ignored if previously cached data is found for the requested file.

--http-header
    Set one or more HTTP headers

--max-conns
    Set maximum number of network connections that libcurl is allowed to make. (default: 6)

--refresh-timeout
    The directories are refreshed after the specified time, in seconds (default: 3600)

--retry-wait
    Set delay in seconds before retrying an HTTP request after encountering an error. (default: 5)

--invalid-refresh
    Try refreshing invalid links when reading a directory.

--user-agent
    Set user agent string (default: "HTTPDirFS-1.3.3")

--no-range-check
    Disable the built-in check for the server's support for HTTP range requests

--zero-len-is-dir
    If a file has a zero length, treat it as a directory

--insecure-tls
    Disable libcurl TLS certificate verification by setting CURLOPT_SSL_VERIFYHOST to 0

--external-links
    Include external (cross-origin) links from directory listings (default: off)

--single-file-mode
    Single file mode - rather than mounting a whole directory, present a single file inside a virtual directory.

    For mounting a Airsonic / Subsonic server:

--sonic-username
    The username for your Airsonic / Subsonic server

--sonic-password
    The password for your Airsonic / Subsonic server

--sonic-id3
    Enable ID3 mode - this present the server content in Artist/Album/Song layout

--sonic-insecure
    Authenticate against your Airsonic / Subsonic server using the insecure username / hex encoded password scheme

usage: /build/httpdirfs-fuse-Eoi0O3/httpdirfs-fuse-1.3.3/obj-x86_64-linux-gnu/httpdirfs [options] <mountpoint>

  FUSE options:

-h   --help
    print help

-V   --version
    print version

-d   -o debug
    enable debug output (implies -f)

-f  foreground operation

-s  disable multi-threaded operation

-o clone_fd
    use separate fuse device fd for each thread (may improve performance)

-o max_idle_threads
    the maximum number of idle worker threads allowed (default: -1)

-o max_threads
    the maximum number of worker threads allowed (default: 10)

-o kernel_cache
    cache files in kernel

-o [no]auto_cache
    enable caching based on modification times (off)

-o no_rofd_flush
    disable flushing of read-only fd on close (off)

-o umask=M
    set file permissions (octal)

-o fmask=M
    set file permissions (octal)

-o dmask=M
    set dir permissions (octal)

-o uid=N
    set file owner

-o gid=N
    set file group

-o entry_timeout=T
    cache timeout for names (1.0s)

-o negative_timeout=T
    cache timeout for deleted names (0.0s)

-o attr_timeout=T
    cache timeout for attributes (1.0s)

-o ac_attr_timeout=T
    auto cache timeout for attributes (attr_timeout)

-o noforget
    never forget cached inodes

-o remember=T
    remember cached inodes for T seconds (0s)

-o modules=M1[:M2...]
    names of modules to push onto filesystem stack

-o allow_other
    allow access by all users

-o allow_root
    allow access by root

-o auto_unmount
    auto unmount on process termination

-o io_uring
    enable io-uring

-o io_uring_q_depth=<n> io-uring queue depth

  Options for subdir module:

-o subdir=DIR
    prepend this directory to all paths (mandatory)

-o [no]rellinks
    transform absolute symlinks to relative

  Options for iconv module:

-o from_code=CHARSET
    original encoding of file names (default: UTF-8)

-o to_code=CHARSET
    new encoding of the file names (default: ANSI_X3.4-1968)

libcurl SSL engine: OpenSSL/4.0.1 Failed to call 'fusermount3': No such file or directory Running 'fusermount3 --version' failedFUSE library version 3.18.2 using FUSE kernel interface version 7.45